com.trendmicro.ds.appcontrol.rest.object

## Class DescribeTrustedUpdateModeResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.DescribeTrustedUpdateModeResponse

-     public class DescribeTrustedUpdateModeResponse
      extends java.lang.Object

  Response object for the DescribeTrustedUpdateMode API.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescribeTrustedUpdateModeResponse.State` The states that trusted update mode can be in.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeTrustedUpdateModeResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getEndTime()` Gets the current automatic turn off time of trusted update mode on the host.
    `java.lang.Long` | `getStartTime()` Gets the current start time of trusted update mode on the host.
    `DescribeTrustedUpdateModeResponse.State` | `getState()` Gets the current state of trusted update mode on the host.
    `void` | `setEndTime(java.lang.Long endTime)` Sets the current automatic turn off time of trusted update mode on the host.
    `void` | `setStartTime(java.lang.Long startTime)` Sets the start time of trusted update mode on the host.
    `void` | `setState(DescribeTrustedUpdateModeResponse.State state)` Sets the current state of trusted update mode on the host.
    `DescribeTrustedUpdateModeResponse` | `withEndTime(java.lang.Long endTime)` Sets the current automatic turn off time of trusted update mode on the host.
    `DescribeTrustedUpdateModeResponse` | `withStartTime(java.lang.Long startTime)` Sets the current start time of trusted update mode on the host.
    `DescribeTrustedUpdateModeResponse` | `withState(DescribeTrustedUpdateModeResponse.State state)` Sets the current state of trusted update mode on the host.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeTrustedUpdateModeResponse

          public DescribeTrustedUpdateModeResponse()

  - ### Method Detail

    - #### getEndTime

          public java.lang.Long getEndTime()

      Gets the current automatic turn off time of trusted update mode on the host.
      Returns:
        the current automatic turn off time of trusted update mode on the host.

    - #### getStartTime

          public java.lang.Long getStartTime()

      Gets the current start time of trusted update mode on the host.
      Returns:
        the current start time of trusted update mode on the host.

    - #### setEndTime

          public void setEndTime(java.lang.Long endTime)

      Sets the current automatic turn off time of trusted update mode on the host.
      Parameters:
        `The` - current automatic turn off time of trusted update mode on the host.

    - #### setStartTime

          public void setStartTime(java.lang.Long startTime)

      Sets the start time of trusted update mode on the host.
      Parameters:
        `The` - current start time of trusted update mode on the host.

    - #### getState

          public DescribeTrustedUpdateModeResponse.State getState()

      Gets the current state of trusted update mode on the host.
      Returns:
        the current state of trusted update mode on the host.

    - #### setState

          public void setState(DescribeTrustedUpdateModeResponse.State state)

      Sets the current state of trusted update mode on the host.
      Parameters:
        `state` - the current state of trusted update mode on the host.

    - #### withState

          public DescribeTrustedUpdateModeResponse withState(DescribeTrustedUpdateModeResponse.State state)

      Sets the current state of trusted update mode on the host.
      Parameters:
        `state` - the current state of trusted update mode on the host.
      Returns:
        the updated DescribeTrustedUpdateModeResponse object.

    - #### withEndTime

          public DescribeTrustedUpdateModeResponse withEndTime(java.lang.Long endTime)

      Sets the current automatic turn off time of trusted update mode on the host.
      Parameters:
        `the` - current automatic turn off time of trusted update mode on the host.
      Returns:
        the updated DescribeTrustedUpdateModeResponse object.

    - #### withStartTime

          public DescribeTrustedUpdateModeResponse withStartTime(java.lang.Long startTime)

      Sets the current start time of trusted update mode on the host.
      Parameters:
        `the` - current start time of trusted update mode on the host.
      Returns:
        the updated DescribeTrustedUpdateModeResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.